Subject: [MBONED] Fwd: I-D Action: draft-acg-mboned-multicast-models-01.txt

From: Tim Chown <[email-masked]>
Date: Mon, 30 Oct 2017 15:41:02 +0000

Hi,

This update to the draft has been updated to recommend the deprecation of ASM for inter domain multicast, and to strongly recommend that SSM be preferred for all multicast scenarios.  Apologies for the delay in posting.

I believe the text catches the general consensus of the discussion at the last IETF meeting, and on the list, before that discussion slipped into a business model discussion.

The text on multicast service models has been shortened a little, and a new section added on ASM deprecation.  The text is just a starting point based on what I think the WG has said, but of course comments and suggestions for changes etc ar very welcome.  Hopefully it will provide a focus for some discussion in Singapore.

I can probably push out another -02 update if comments are received by around 11pm UTC.

Tim

Begin forwarded message:

From: [email-masked]<mailto:[email-masked]>
Subject: I-D Action: draft-acg-mboned-multicast-models-01.txt
Date: 30 October 2017 at 15:34:51 GMT
To: <[email-masked]<mailto:[email-masked]>>
Reply-To: [email-masked]<mailto:[email-masked]>

A New Internet-Draft is available from the on-line Internet-Drafts directories.

       Title           : Deprecating ASM for Interdomain Multicast
       Authors         : Mikael Abrahamsson
                         Tim Chown
                         Lenny Giuliano
Filename        : draft-acg-mboned-multicast-models-01.txt
Pages           : 15
Date            : 2017-10-30

Abstract:
  This document provides a high-level overview of more commonly used
  multicast service models, principally the Any-Source Multicast (ASM)
  and Source-Specific Multicast (SSM) models, and discusses the
  applicability of the models to certain scenarios.  As a result, this
  document recommends that ASM is not used for interdomain scenarios,
  and the use of SSM is strongly recommended for all multicast
  scenarios.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-acg-mboned-multicast-models/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-acg-mboned-multicast-models-01
https://datatracker.ietf.org/doc/html/draft-acg-mboned-multicast-models-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-acg-mboned-multicast-models-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Dale W. Carder" <[email-masked]>
Date: Mon, 30 Oct 2017 14:49:00 -0500

Hi Tim,

> The text on multicast service models has been shortened a little, and a new section added on ASM deprecation.  The text is just a starting point based on what I think the WG has said, but of course…

In section 3.1, there's a reference to RFC5771, but either there or in
section 7.5, it may be worth quoting part of section 9 of RFC5771 
particularly:
  "Domains with a 32-bit ASN MAY apply for space in AD-HOC Block III, 
  or consider using IPv6 multicast addresses."

My understanding is that 32-bit ASNs are increasingly common if not the
default now, so I would think that is additional motivation towards 
using SSM (if not IPv6 SSM).

Dale

> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned

---

From: Tim Chown <[email-masked]>
Date: Mon, 30 Oct 2017 23:05:49 +0000

Hi Dale,

> On 30 Oct 2017, at 19:49, Dale W. Carder <[email-masked]> wrote:
> 
> Hi Tim,
> 
>  or consider using IPv6 multicast addresses.”

I’ll add that, thanks.

> using SSM (if not IPv6 SSM).

Interesting point, would be interesting to dig out some numbers for a future update.

Tim